Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.gesture
Class GestureEventsSourcePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.maryanovsky.gwtutils.client.iphone.ui.gesture.GestureEventsSourcePanel

All Implemented Interfaces:
  HasHandlers, EventListener, HasWidgets, HasAllGestureHandlers, HasGestureChangeHandlers, HasGestureEndHandlers, HasGestureStartHandlers, Iterable<Widget>

    public class GestureEventsSourcePanel

extends SimplePanel
implements HasAllGestureHandlers

A panel which allows capturing gesture events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`GestureEventsSourcePanel()` Creates a new `GestureEventsSourcePanel` with initially no child.
`GestureEventsSourcePanel(Widget child)` Creates a new `GestureEventsSourcePanel` with the specified child.

Method Summary
`HandlerRegistration` | `addGestureChangeHandler(GestureChangeHandler handler)` Adds a `GestureChangeEvent` handler.
`HandlerRegistration` | `addGestureEndHandler(GestureEndHandler handler)` Adds a `GestureEndEvent` handler.
`HandlerRegistration` | `addGestureStartHandler(GestureStartHandler handler)` Adds a `GestureStartEvent` handler.

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getContainerElement, getWidget, iterator, remove, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### GestureEventsSourcePanel

    public GestureEventsSourcePanel()

  Creates a new `GestureEventsSourcePanel` with initially no child.

### GestureEventsSourcePanel

    public GestureEventsSourcePanel(Widget child)

  Creates a new `GestureEventsSourcePanel` with the specified child.

Method Detail

### addGestureStartHandler

    public HandlerRegistration addGestureStartHandler(GestureStartHandler handler)

  Adds a `GestureStartEvent` handler.

  Specified by:
    `addGestureStartHandler` in interface `HasGestureStartHandlers`

### addGestureChangeHandler

    public HandlerRegistration addGestureChangeHandler(GestureChangeHandler handler)

  Adds a `GestureChangeEvent` handler.

  Specified by:
    `addGestureChangeHandler` in interface `HasGestureChangeHandlers`

### addGestureEndHandler

    public HandlerRegistration addGestureEndHandler(GestureEndHandler handler)

  Adds a `GestureEndEvent` handler.

  Specified by:
    `addGestureEndHandler` in interface `HasGestureEndHandlers`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD